/* W. John Holden (wjholden@users.sourceforge.net)
   10 March 2007
   http://wjholden.com
   This program is intended for the MS Windows 32-bit platform and requires the
   precence of a working WGET command installed at
   C:\Program Files\GnuWin32\bin\wget.exe
   Please use this program responsibly as robot programs are known to crash webservers.
   This program comes with no warranty and I bear no responsibility for damages it may
   do to your computer hardware, software, and networks or those belonging to others.
   By downloading, compiling, and/or executing this program you understand that I, the
   developer, am not responsible for the effects this software you may encounter.
   You may email me at any time with questions or complaints regarding my software and
   I will make every attempt to respond with courteousy, rapidity, and effectiveness.
   You are free to modify, reuse, and/or redistribute this software in any way.
   This program could very easily be ported to a UNIX/Linux or Mac OS X platform 
   provided a working WGET command. */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

/* Yes, forward slashes do work under Windows, backslashes are retarded. */
static const char qcn_img_url [] = 
  "C:/Progra~1/GnuWin32/bin/wget.exe http://questionablecontent.net/comics/";

int main (int argc, char * argv [])
{
    unsigned short int current_comic_number;
    char * qcn_img_url_complete;
    long start, stop;
    if (argc != 3) { fprintf(stderr, "Invalid arguements.\n"); return(EXIT_FAILURE); }
    char * errorStart = (char *) calloc(512, sizeof(char));
    char * errorStop = (char *) calloc(512, sizeof(char));
    start = strtol(argv[1], NULL, 10);
    stop = strtol(argv[2], NULL, 10);
    printf ("Start %d\nStop %d\n", start, stop);
    fprintf (stderr, "Start error: %s\nStop error: %s\n", errorStart, errorStop);
    qcn_img_url_complete = (char *) calloc(512, sizeof(char));
    for (current_comic_number = start ; current_comic_number < stop ; current_comic_number++)
    {
        sprintf(qcn_img_url_complete, "%s%d.png", qcn_img_url, current_comic_number);
        system(qcn_img_url_complete);
    }
    printf("All done!\n");
    free(qcn_img_url_complete);
    return(EXIT_SUCCESS);
}
